import { LanguageSupport } from '@codemirror/language';
import * as be from '@ruzito/oas-ls-backend';
import { Extension } from '@codemirror/state';
export declare const parseOas: typeof import("@ruzito/oas-ls-backend/build/oas-wrapper-load-oas").loadOas;
export declare const fetchOas: typeof import("@ruzito/oas-ls-backend/build/oas-wrapper-load-oas").loadUrl;
export declare const initOasContext: typeof import("@ruzito/oas-ls-backend/build/oas-wrapper-load-oas").initOasContext;
export type HttpData = {
    method: string;
    path: string;
    headers: Array<{
        key: string;
        value: string;
    }>;
};
export declare function json(ctx: be.OasContext, metaProvider: () => Promise<HttpData>): (({
    extension: Extension;
} | readonly Extension[])[] | LanguageSupport)[];
export declare function http(ctx: be.OasContext): Extension[];
